Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class ContentProviders

    java.lang.Object
      com.bea.p13n.ad.ContentProviders

    public class ContentProviders

extends Object

The primary use of ContentProviders is as a AdContentProvider factory based upon the mime type being processed. It provides some commen routines to deal with XHTML output.

Field Summary
`static String` | `ALT_TEXT`
`static String` | `ANCHOR_TARGET`
`static String` | `DEF_AD_CLICK_THRU_URI` The default partial uri of the Ad Click-Thru handler.
`static String` | `DEF_SHOW_DOC_URI` The default partial uri of the Show Document handler.
`static String` | `IMG_BORDER`
`static String` | `MAP_NAME`
`static String` | `MAP_TEXT`
`static String` | `TARGET_CONTENT`
`static String` | `TARGET_URL`
`static String` | `USE_XHTML`
`static String` | `WIN_CLOSE`
`static String` | `WIN_TARGET`
`static String` | `WIN_TITLE`

Constructor Summary
`ContentProviders()`

Method Summary
`static String` | `createNewWindowContent(Node c, long id, String target, String servletBase, int options)` Deprecated
`static String` | `createNewWindowContent(RenderableContent c, long id, String target, String servletBase, int options)` Write the necessary XHTML script to create a new window which will renderer the Content.
`static String` | `getAdClickThruURI()` Get the partial URI to the Ad Click-Thru handler.
`static String` | `getClickTarget(Node c, String servletBase)` Return the xhtml string that represents the URL for a click thru.
`static String` | `getClickTarget(RenderableContent c, String servletBase)` Return the xhtml string that represents the URL for a click thru.
`static AdContentProvider` | `getContentProvider(String mimeType)` Deprecated
`static Properties` | `getContentProviderProperties(String mimeType)` Return the configuration properties for a mime type's AdRenderableContentProvider.
`static AdRenderableContentProvider` | `getRenderableContentProvider(String mimeType)` Return an AdRenderableContentProvider based upon the mimeType
`static String` | `getShowDocURI()` Get the partial URI to the Show Document handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TARGET_URL

    public static final String TARGET_URL

See Also
  Constants Summary

### TARGET_CONTENT

    public static final String TARGET_CONTENT

See Also
  Constants Summary

### ALT_TEXT

    public static final String ALT_TEXT

See Also
  Constants Summary

### MAP_NAME

    public static final String MAP_NAME

See Also
  Constants Summary

### MAP_TEXT

    public static final String MAP_TEXT

See Also
  Constants Summary

### WIN_CLOSE

    public static final String WIN_CLOSE

See Also
  Constants Summary

### WIN_TARGET

    public static final String WIN_TARGET

See Also
  Constants Summary

### WIN_TITLE

    public static final String WIN_TITLE

See Also
  Constants Summary

### IMG_BORDER

    public static final String IMG_BORDER

See Also
  Constants Summary

### ANCHOR_TARGET

    public static final String ANCHOR_TARGET

See Also
  Constants Summary

### USE_XHTML

    public static final String USE_XHTML

See Also
  Constants Summary

### DEF_AD_CLICK_THRU_URI

    public static final String DEF_AD_CLICK_THRU_URI

  The default partial uri of the Ad Click-Thru handler.

  See Also
    Constants Summary

### DEF_SHOW_DOC_URI

    public static final String DEF_SHOW_DOC_URI

  The default partial uri of the Show Document handler.

  See Also
    Constants Summary

Constructor Detail

### ContentProviders

    public ContentProviders()

Method Detail

### getContentProvider

    public static AdContentProvider getContentProvider(String mimeType)
                                                throws AdContentException

  Deprecated

  Return an AdContentProvider based upon the mimeType

  This will look for the appropriate AdContentProviderMBean as a child of the application's AdServiceMBean (in the META-INF/application-config.xml).

  Parameters
    `mimeType` - the mime type of we want to render
  Throws
    `AdContentException`
  See Also
    `AdContentProviderBean`, `AdServiceBean`

### getRenderableContentProvider

    public static AdRenderableContentProvider getRenderableContentProvider(String mimeType)
                                                                    throws AdContentException

  Return an AdRenderableContentProvider based upon the mimeType

  This will look for the appropriate AdRenderableContentProviderMBean as a child of the application's AdServiceMBean (in the META-INF/application-config.xml).

  Parameters
    `mimeType` - the mime type of we want to render
  Throws
    `AdContentException`
  See Also
    `com.bea.p13n.wpsconfig.AdRenderableContentProviderBean`, `AdServiceBean`

### getContentProviderProperties

    public static Properties getContentProviderProperties(String mimeType)
                                                   throws AdContentException

  Return the configuration properties for a mime type's AdRenderableContentProvider.

  This assumes getContentProvider(mimeType) has already been invoked or is coming from an AdContentProvider implementation.

  Parameters
    `mimeType` - the mime type of we want to render
  Throws
    `AdContentException`

### createNewWindowContent

    public static String createNewWindowContent(Node c,
                                                long id,
                                                String target,
                                                String servletBase,
                                                int options)
                                         throws AdContentException

  Deprecated

  Write the necessary XHTML script to create a new window which will renderer the Content.

  Parameters
    `c` - the Content object that we will render
    `id` - the ad bucket identifier
    `target` - the window target
    `servletBase` - the Web App root of the click thru servlet
    `options` - the render options
  Throws
    `AdContentException`

### createNewWindowContent

    public static String createNewWindowContent(RenderableContent c,
                                                long id,
                                                String target,
                                                String servletBase,
                                                int options)
                                         throws AdContentException

  Write the necessary XHTML script to create a new window which will renderer the Content.

  Parameters
    `c` - the Content object that we will render
    `id` - the ad bucket identifier
    `target` - the window target
    `servletBase` - the Web App root of the click thru servlet
    `options` - the render options
  Throws
    `AdContentException`

### getClickTarget

    public static String getClickTarget(Node c,
                                        String servletBase)
                                 throws RepositoryException

  Return the xhtml string that represents the URL for a click thru. The actual URL target is the click thru servlet with a set of parameters that will allow for the redirect.

  Parameters
    `c` - the content object
    `servletBase` - the Web App root of the servlet base
  Throws
    `RepositoryException`

### getClickTarget

    public static String getClickTarget(RenderableContent c,
                                        String servletBase)
                                 throws RepositoryException

  Return the xhtml string that represents the URL for a click thru. The actual URL target is the click thru servlet with a set of parameters that will allow for the redirect.

  Parameters
    `c` - the content object
    `servletBase` - the Web App root of the servlet base
  Throws
    `RepositoryException`

### getAdClickThruURI

    public static String getAdClickThruURI()

  Get the partial URI to the Ad Click-Thru handler.

  See Also
    `com.bea.p13n.wpsconfig.AddServiceBean`

### getShowDocURI

    public static String getShowDocURI()

  Get the partial URI to the Show Document handler.

  See Also
    `AdServiceBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved